%if 0%{?el7}
%define dist .el7
%endif

Name:           ncmpc
Version:        0.27
Release:        1%{?dist}
Summary:        ncmpc is a curses client for the Music Player Daemon (MPD).

Group:          Applications/Multimedia
License:        GPLv2
URL:            http://www.musicpd.org/
Source0:        http://www.musicpd.org/download/%{name}/0/%{name}-%{version}.tar.xz
Source1:        ncmpc-0.21-ja.po
Source2:        ncmpc-0.21-ja.ncmpc.man.1
Source3:        ax_require_defined.m4

Patch0:         0001-ncmpc-0.27-lirc-fix.patch
Patch1:         0002-ncmpc-0.27-add-japanese-linguas.patch
Patch2:         0003-ncmpc-0.27-add-translatable-words.patch
Patch3:         0004-ncmpc-0.27-gcc49.patch
Patch4:         0005-ncmpc-0.27-fix-over-fedora24.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	autoconf automake
BuildRequires:	gettext doxygen
BuildRequires:	ncurses-devel
BuildRequires:	glib2-devel >= 2.14
BuildRequires:	lirc-devel

### Custom rpms ###
BuildRequires:  libmpdclient-devel

Obsoletes:      %{name}-lyrics-leoslyrics 

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%description
ncmpc is a curses client for the Music Player Daemon (MPD). ncmpc connects to
a MPD running on a machine on the local network, and controls this with an
interface inspired by cplay.

Music Player Daemon (MPD) allows remote access for playing music (MP3,
Ogg Vorbis, FLAC, AAC, and wave files) and managing playlists. MPD is
designed for integrating a computer into a stereo system that provides
control for music playback over a local network. Read more at musicpd.org

%package lyrics-hd
Summary:        Lyrics Plugin for %{name}
Group:          Applications/Internet
Requires:       ncmpc
BuildArch:      noarch

%description lyrics-hd
Lyrics Plugin for %{name}.

%package lyrics-lyricwiki
Summary:        Lyrics Plugin for %{name}
Group:          Applications/Internet
Requires:       ncmpc
BuildArch:      noarch

%description lyrics-lyricwiki
Lyrics Plugin for %{name}.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%{__cp} %{SOURCE3} m4/ax_require_defined.m4
%{__cp} %{SOURCE1} po/ja.po
echo "ja" >> po/LINGUAS
autoreconf -ivf

%build
%configure \
	--enable-werror \
	--enable-colors \
	--enable-lirc \
	--enable-help-screen \
	--enable-mouse \
	--enable-artist-screen \
	--enable-search-screen \
	--enable-song-screen \
	--enable-key-screen \
	--enable-lyrics-screen \
	--enable-outputs-screen \
	--enable-chat-screen \
	--enable-documentation \
	--with-ncurses \
	--with-lyrics-plugin-dir=%{_libexecdir}/%{name}

make %{?_smp_mflags}

pushd po/
make update-po
popd

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -D -m644 %{SOURCE2} $RPM_BUILD_ROOT%{_mandir}/ja/man1/ncmpc.1

install -D -m644 doc/config.sample $RPM_BUILD_ROOT%{_sysconfdir}/ncmpc/config
install -D -m644 doc/keys.sample $RPM_BUILD_ROOT%{_sysconfdir}/ncmpc/keys

%find_lang %{name} --with-man

rm -rf $RPM_BUILD_ROOT%{_docdir}/ncmpc

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS INSTALL NEWS README doc/{config.sample,keys.sample,ncmpc.lirc}
%{!?_licensedir:%global license %%doc}
%license COPYING
%{_bindir}/ncmpc
%config(noreplace) %{_sysconfdir}/ncmpc/config
%config(noreplace) %{_sysconfdir}/ncmpc/keys
%{_mandir}/man1/ncmpc.1*
#lang(ja) %{_mandir}/ja/man1/ncmpc.1*

%files lyrics-hd
%{_libexecdir}/%{name}/10-hd.sh

%files lyrics-lyricwiki
%{_libexecdir}/%{name}/20-lyricwiki.rb

%changelog
* Sun Apr 02 2017 momo-i <webmaster@momo-i.org> - 0.27-1
- Update to 0.27

* Tue Sep 06 2016 momo-i <webmaster@momo-i.org> - 0.25-1
- Update to 0.25

* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 0.24-15
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 0.24-14
- Rebuilt for fc23

* Fri Apr 17 2015 momo-i <webmaster@momo-i.org> - 0.24-13
- Rebiult for fc22

* Thu Nov 13 2014 momo-i <webmaster@momo-i.org> - 0.24-12
- change license dir

* Mon Jul 28 2014 momo-i <webmaster@momo-i.org> - 0.24-11
- Update to 0.24

* Mon Jul  7 2014 momo-i <webmaster@momo-i.org> - 0.22-11
- Update to 0.22
- configure error: Missing ax_require_defined.m4
- remove leoslyrics plugin

* Thu Dec  5 2013 momo-i <webmaster@momo-i.org> - 0.21-11
- Update filelist

* Mon Oct  7 2013 momo-i <webmaster@momo-i.org> - 0.21-10
- Update doc

* Thu Jul  4 2013 momo-i <webmaster@momo-i.org> 0.21-9
- Relocate lyrics plugin libdir to libexecdir

* Wed Jul  3 2013 momo-i <webmaster@momo-i.org> 0.21-7
- lyrics plugin

* Tue Jul  2 2013 momo-i <webmaster@momo-i.org> 0.21-5
- placed sample config to /etc/ncmpc/*

* Tue Jul  2 2013 momo-i <webmaster@momo-i.org> 0.21-4
- Update src/option.c for translation.

* Tue Jul  2 2013 momo-i <webmaster@momo-i.org> 0.21-3
- Update japanese translation

* Tue Jul  2 2013 momo-i <webmaster@momo-i.org> 0.21-1
- Initial rpm release.
- Adding japanese translation. (a few transation...)
- Patching lirc-devel for fedora.
